Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003872TestLinkUsers and Rightspublic2010-10-10 07:262010-11-14 12:07
ReporterJulian 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003872: Admin should be able to set a new password for users
DescriptionRight now it is only possible to "Reset password" for users.
This requires a configured smtp server.

in case there is no smtp server configured it is important to be able to set a new password.

if there are privacy/security concerns i recomment to use this fact as condition for this feature:

- smtp server configured -> show reset password button
- smtp not configured -> allow to set password
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon reset2screen.jpg [^] (40,312 bytes) 2010-10-10 15:50

- Relationships

-  Notes
(0011846)
fman (administrator)
2010-10-10 15:50

give a look to my quick fix ready on CVS
Reset password will write new password on SCREEN, in this way Administrator can communicate it to user
Mail will not be used

see attached image

there is a new config parameter
(0011847)
Julian (reporter)
2010-10-10 16:04

looks good. thank you!

i would only change the text from
Your new TestLink password is: -> {new_password}
to
Password for user {username} has been set to: {new_password}

tested both ways to reset password -> OK
(0011848)
fman (administrator)
2010-10-10 16:24

good, was just a fast hack
(0012563)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-10 07:26 Julian New Issue
2010-10-10 15:50 fman Note Added: 0011846
2010-10-10 15:50 fman File Added: reset2screen.jpg
2010-10-10 15:58 fman Assigned To => fman
2010-10-10 15:58 fman Status new => feedback
2010-10-10 16:04 Julian Note Added: 0011847
2010-10-10 16:04 Julian Status feedback => assigned
2010-10-10 16:24 fman Note Added: 0011848
2010-10-11 17:48 fman Status assigned => resolved
2010-10-11 17:48 fman Fixed in Version => 1.9 (Prague)
2010-10-11 17:48 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012563
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker